Firewall

Update Firewall Group

put/firewall/groups/{group_id}

Update a firewall group.

Changes are applied in the background to every VPS that uses the group.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

group_id*integer
Range1 ≤ value

Request body

Update a firewall group

application/jsonRequired
name?string | null
rules?array<FirewallRuleSchema> | null
Properties (5)
direction*string
Value in"in""out"
protocol*string
Value in"tcp""udp""icmp""gre"
port?string | null
source?string | null
comment?string | null
enabled?boolean | null

Responses

Successful Response

application/json

id*integer
project_id*integer
name*string
rules*array<FirewallRuleSchema>
Properties (5)
direction*string
Value in"in""out"
protocol*string
Value in"tcp""udp""icmp""gre"
port?string | null
source?string | null
comment?string | null
enabled*boolean
vps_count?integer
Default0
baremetal_count?integer
Default0